# Get the status of a file upload **GET /fileUpload/{fileId}** Get the status of a file upload. Use this to get the documentId once the upload is completed. ## Servers - https://rest.api.24sevenoffice.com/v1: https://rest.api.24sevenoffice.com/v1 () ## Authentication methods - Tfso ## Parameters ### Headers - **Authorization** (string) Authorization header ### Path parameters - **fileId** (string) The ID of the file upload to check. ## Responses ### 200 File upload status retrieved successfully #### Headers - **Access-Control-Allow-Origin** (string) - **Access-Control-Allow-Credentials** (string) - **X-Trace-Id** (string) #### Body: application/json (object) - **fileId** (string) Identifier for the file upload - **status** (string) Current status of the file upload (e.g., Pending, Completed, Failed) - **documentId** (integer) Identifier of the document associated with the uploaded file, if completed ### 400 The input provided was invalid #### Headers - **Access-Control-Allow-Origin** (string) - **Access-Control-Allow-Credentials** (string) - **X-Trace-Id** (string) ### 401 Unauthorized - Bearer token missing or invalid #### Headers - **Access-Control-Allow-Origin** (string) - **Access-Control-Allow-Credentials** (string) - **X-Trace-Id** (string) ### 403 Forbidden - User does not have access to post transactions #### Headers - **Access-Control-Allow-Origin** (string) - **Access-Control-Allow-Credentials** (string) - **X-Trace-Id** (string) [Powered by Bump.sh](https://bump.sh)